Sets member permissions

PUT
/api/v1/reports/{id}/member-permissions/{memberPermissionId}

Set permissions for the specified member of the report.

Authorization

auth ApiKey
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

In: header

X-API-KEY<token>

Internal API key for admin endpoints. Example: "X-API-KEY: {key}"

In: header

Path Parameters

id*string

The unique ID of the report.

Formatuuid
memberPermissionId*string

The ID of the member permission.

Formatuuid

Request Body

application/json

The permission data.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v1/reports/497f6eca-6276-4993-bfeb-53cbbbba6f08/member-permissions/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
Empty